DBWRAP_TOOL(1)

NAME
dbwrap_tool - low level TDB/CTDB manipulation tool using the dbwrap interface

SYNOPSIS

dbwrap_tool {<database>} {<operation>} [<key> [<type> [<value>] ]]

DESCRIPTION

This tool is part of the samba(7) suite.

The dbwrap_tool program is used to read and manipulate TDB/CTDB databases using the dbwrap interface.

The following database operations are available:

    • fetch: fetch a record

    • store: create or modify a record

    • delete: remove a record

    • erase: remove all records

    • listkeys: list all available records

The following types are available:

    • int32: signed 32bit integer

    • uint32: unsigned 32bit integer

    • string: "hello world"

OPTIONS

None.

COMMANDS

  fetch

dbwrap_tool <database> fetch <key> <type>

  store

dbwrap_tool <database> store <key> <type> <value>

  delete

dbwrap_tool <database> delete <key>

  erase

dbwrap_tool <database> erase

  listkeys

dbwrap_tool <database> listkeys

EXAMPLES

List all keys from winbindd_idmap.tdb
    dbwrap_tool winbindd_idmap.tdb listkeys

Fetch record with key "USER HWM" as uint32
    dbwrap_tool winbindd_idmap.tdb fetch "USER HWM" uint32

Remove record with key "USER HWM"
    dbwrap_tool winbindd_idmap.tdb remove "USER HWM"

Store and overwrite record "USER HWM" with value 214
    dbwrap_tool winbindd_idmap.tdb store "USER HWM" uint32 214

NOTES

Use with caution!

VERSION

This man page is correct for version 3 of the Samba suite.

SEE ALSO

smbd(8), samba(7)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The dbwrap_tool manpage was written by Bjoern Baumbach.